Package twisted :: Package popsicle :: Module mailsicle :: Class PerspectiveSaver

[show private | hide private]
[frames | no frames]

## Class PerspectiveSaver

     Adapter --+
               |
    DefaultSaver --+
                   |
                  PerspectiveSaver

Method Summary
| ``descriptiveName`(self)` Return a pretty-printed (non-unique) name describing me. (inherited from `DefaultSaver`)
| ``getContinuations`(self)` Get a list of 'continuation' sections. (inherited from `DefaultSaver`)
| `getIndexes(self)`
| ``getItems`(self)` Get a list of tuples of strings, [(key, value), ...].
| ``loadContinuations`(self, cont)` Take the result of a getContinuations() call and populate self.original. (inherited from `DefaultSaver`)
| `loaditem_class(self, kv, vv)` (inherited from `DefaultSaver`)
| `loaditem_name(self, kv, vv)`
| `loaditem_oid(self, kv, vv)` (inherited from `DefaultSaver`)
| `loaditem_service(self, kv, vv)`
| ``loadItems`(self, items, toplevel)` Take the result of a getItems() call and populate self.original. (inherited from `DefaultSaver`)
| `postLoad(self)` (inherited from `DefaultSaver`)
| `preLoad(self)` (inherited from `DefaultSaver`)

Method Details

### getItems(self)

Get a list of tuples of strings, [(key, value), ...].

  Overrides:
    `twisted.popsicle.mailsicle.DefaultSaver.getItems` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:16:35 2003 | http://epydoc.sf.net